package com.atlassian.bitbucket.internal.importer;

import com.atlassian.bitbucket.ServiceException;
import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * Indicates the request to a external repository source failed.
 */
public class ExternalRequestFailedException extends ServiceException {

    public ExternalRequestFailedException(@Nonnull KeyedMessage message) {
        this(message, null);
    }

    public ExternalRequestFailedException(@Nonnull KeyedMessage message, @Nullable Throwable cause) {
        super(message, cause);
    }
}
